summaryrefslogtreecommitdiffstats
path: root/bin/phase-functions.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2012-09-11 21:26:49 -0700
committerZac Medico <zmedico@gentoo.org>2012-09-11 21:30:52 -0700
commit5645c4390128c0a174290d9727195b97a894088e (patch)
tree5563d0cf3180e128fa641fb58568369d650a5d2e /bin/phase-functions.sh
parent9f735963c000f0e925b513c5378b2552476c0e8e (diff)
downloadportage-5645c4390128c0a174290d9727195b97a894088e.tar.gz
portage-5645c4390128c0a174290d9727195b97a894088e.tar.bz2
portage-5645c4390128c0a174290d9727195b97a894088e.zip
Add EAPI 5_pre2 with features approved by council
In the 9/11 council meeting, they approved everything in EAPI 5_pre1 except user patches. So, add EAPI 5_pre2 which is identical to EAPI 5_pre1 but with user patches (apply_user_patches) support removed.
Diffstat (limited to 'bin/phase-functions.sh')
-rw-r--r--bin/phase-functions.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/bin/phase-functions.sh b/bin/phase-functions.sh
index 68a33a871..ad9ba6bb0 100644
--- a/bin/phase-functions.sh
+++ b/bin/phase-functions.sh
@@ -372,7 +372,11 @@ dyn_prepare() {
else
die "The source directory '${S}' doesn't exist"
fi
- rm -f "${PORTAGE_BUILDDIR}/.apply_user_patches" || die
+ case "${EAPI}" in
+ 5_pre1)
+ rm -f "${PORTAGE_BUILDDIR}/.apply_user_patches" || die
+ ;;
+ esac
trap abort_prepare SIGINT SIGQUIT
@@ -384,9 +388,7 @@ dyn_prepare() {
vecho ">>> Source prepared."
ebuild_phase post_src_prepare
case "${EAPI}" in
- 0|1|2|3|4|4-python|4-slot-abi)
- ;;
- *)
+ 5_pre1)
[[ ! -f ${PORTAGE_BUILDDIR}/.apply_user_patches ]] && \
die "src_prepare must call apply_user_patches at least once"
;;
@@ -815,9 +817,7 @@ _ebuild_phase_funcs() {
[[ $phase_func = src_install ]] && \
eval "default() { _eapi4_$phase_func \"\$@\" ; }"
case "$eapi" in
- 4|4-python|4-slot-abi)
- ;;
- *)
+ 5_pre1)
! declare -F src_prepare >/dev/null && \
src_prepare() { _eapi5_src_prepare "$@" ; }
default_src_prepare() { _eapi5_src_prepare "$@" ; }